using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using asap.core;
using System.Threading.Tasks;
public class RootCtx : GContext
{
    protected override async Task SetupAsync()
    {
        container.Register<IStageService, StageService>().AsSingleton();
        //container.Register<IDataService, LubanDataService>().AsSingleton();
        container.Register<IObjectSerializer, ObjectSerializer>().AsSingleton();
        container.Register<IConfig, Config>().AsSingleton();

        await Awaiters.NextFrame;
        BetterStreamingAssets.Initialize();


        UnityEngine.Random.InitState((int)System.DateTime.Now.Ticks);

        Screen.sleepTimeout = SleepTimeout.NeverSleep;
    }
}
